curl --request PATCH \
--url https://statsigapi.net/console/v1/dynamic_configs/{id} \
--header 'Content-Type: application/json' \
--header 'STATSIG-API-KEY: <api-key>' \
--data '
{
"isEnabled": true,
"description": "helpful summary of what this dynamic config does",
"rules": [
{
"name": "<string>",
"passPercentage": 50,
"conditions": [
{
"targetValue": [
"<string>"
],
"operator": "<string>",
"field": "<string>",
"customID": "<string>"
}
],
"environments": [
"<string>"
],
"id": "<string>",
"baseID": "<string>",
"returnValue": {},
"returnValueJson5": "<string>"
}
],
"defaultValue": {},
"defaultValueJson5": "<string>",
"idType": "userID",
"tags": [
"a tag"
],
"creatorID": "<string>",
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"creatorEmail": "<string>",
"schema": "<string>",
"schemaJson5": "<string>",
"targetApps": "<string>",
"team": "<string>",
"teamID": "<string>",
"precommitWebhook": {
"url": "<string>",
"internalStatusUrl": "<string>"
}
}
'import requests
url = "https://statsigapi.net/console/v1/dynamic_configs/{id}"
payload = {
"isEnabled": True,
"description": "helpful summary of what this dynamic config does",
"rules": [
{
"name": "<string>",
"passPercentage": 50,
"conditions": [
{
"targetValue": ["<string>"],
"operator": "<string>",
"field": "<string>",
"customID": "<string>"
}
],
"environments": ["<string>"],
"id": "<string>",
"baseID": "<string>",
"returnValue": {},
"returnValueJson5": "<string>"
}
],
"defaultValue": {},
"defaultValueJson5": "<string>",
"idType": "userID",
"tags": ["a tag"],
"creatorID": "<string>",
"owner": {
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
},
"creatorEmail": "<string>",
"schema": "<string>",
"schemaJson5": "<string>",
"targetApps": "<string>",
"team": "<string>",
"teamID": "<string>",
"precommitWebhook": {
"url": "<string>",
"internalStatusUrl": "<string>"
}
}
headers = {
"STATSIG-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'STATSIG-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isEnabled: true,
description: 'helpful summary of what this dynamic config does',
rules: [
{
name: '<string>',
passPercentage: 50,
conditions: [
{
targetValue: ['<string>'],
operator: '<string>',
field: '<string>',
customID: '<string>'
}
],
environments: ['<string>'],
id: '<string>',
baseID: '<string>',
returnValue: {},
returnValueJson5: '<string>'
}
],
defaultValue: {},
defaultValueJson5: '<string>',
idType: 'userID',
tags: ['a tag'],
creatorID: '<string>',
owner: {
ownerID: 'user123',
ownerType: 'USER',
ownerName: 'John Doe',
ownerEmail: 'owner123@test.com'
},
creatorEmail: '<string>',
schema: '<string>',
schemaJson5: '<string>',
targetApps: '<string>',
team: '<string>',
teamID: '<string>',
precommitWebhook: {url: '<string>', internalStatusUrl: '<string>'}
})
};
fetch('https://statsigapi.net/console/v1/dynamic_configs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Dynamic config updated successfully.",
"data": {
"id": "a_dynamic_config",
"description": "helpful summary of what this dynamic config does",
"lastModifierID": "1vaQaBoLlkauH9iiuOSBP2",
"lastModifierName": "CONSOLE API",
"creatorEmail": "johnsmith@mydomain.com",
"creatorName": "John Smith",
"createdTime": 1674769467002,
"holdoutIDs": [],
"isEnabled": true,
"rules": [
{
"name": "All Conditions",
"id": "38ttpCpzrQFTMKcqFKk02l:10.00:1",
"baseID": "38ttpCpzrQFTMKcqFKk02l",
"passPercentage": 10,
"conditions": [
{
"type": "public",
"operator": "string",
"targetValue": 0,
"field": "string",
"customID": "string"
}
],
"returnValue": {
"key": true
}
}
],
"defaultValue": {
"key": "the default value"
},
"tags": [
"a tag"
]
}
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}{
"status": 404,
"message": "Not Found. The requested resource could not be found."
}Partially Update Dynamic Config
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
Body
Is the dynamic config enabled
A brief summary of what the dynamic config is being used for
1000"helpful summary of what this dynamic config does"
An array of Rule objects
Show child attributes
Show child attributes
The fallback JSON object when no rules are triggered
Show child attributes
Show child attributes
Can include comments. If provided with defaultValue, must parse to the same JSON
The type of ID which the dynamic config is based on.
"userID"
The list of tag names attached to the dynamic config
["a tag"]
Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.
Show child attributes
Show child attributes
{
"ownerID": "user123",
"ownerType": "USER",
"ownerName": "John Doe",
"ownerEmail": "owner123@test.com"
}
A schema using JSON Schema Draft 2020-12 to enforce return values of this dynamic config's rules.
schema except with Json5 comments. Optional and should parse to same json as schema.
The team name associated with the dynamic config, Enterprise only.
The team ID associated with the dynamic config, Enterprise only.
Show child attributes
Show child attributes

